---
title: List Sites
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Magic Transit](https://developers.cloudflare.com/api/go/resources/magic_transit)

[Sites](https://developers.cloudflare.com/api/go/resources/magic_transit/subresources/sites)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Sites

client.MagicTransit.Sites.List(ctx, params) (\*SinglePage\[[Site](<https://developers.cloudflare.com/api/go/resources/magic_transit#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/magic/sites

Lists Sites associated with an account. Use connectorid query param to return sites where connectorid matches either site.ConnectorID or site.SecondaryConnectorID.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Magic WAN Write``Magic WAN Read``Magic Transit Read``Magic Transit Write`

##### ParametersExpand Collapse

<details>

<summary>

params SiteListParams

</summary>

AccountID param.Field\[string]

Path param: Identifier

maxLength32

<a href="#(resource)%20magic_transit.sites%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Connectorid param.Field\[string]Optional

Query param: Identifier

maxLength32

<a href="#(resource)%20magic_transit.sites%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20connectorid">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.sites%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type Site struct{…}

</summary>

ID stringOptional

Identifier

maxLength32

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

ConnectorID stringOptional

Magic Connector identifier tag.

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20connector_id">Link to this property</a>

Description stringOptional

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

HaMode boolOptional

Site high availability mode. If set to true, the site can have two connectors and runs in high availability mode.

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20ha_mode">Link to this property</a>

<details>

<summary>

Location <a href="https://developers.cloudflare.com/api/go/resources/magic_transit#(resource)%20magic_transit.sites%20%3E%20(model)%20site_location%20%3E%20(schema)">SiteLocation</a>Optional

Location of site in latitude and longitude.

</summary>

Lat stringOptional

Latitude

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.sites%20%3E%20(model)%20site_location%20%3E%20(schema)%20%3E%20(property)%20lat">Link to this property</a>

Lon stringOptional

Longitude

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20location%20%2B%20(resource)%20magic_transit.sites%20%3E%20(model)%20site_location%20%3E%20(schema)%20%3E%20(property)%20lon">Link to this property</a>

</details>

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20location">Link to this property</a>

Name stringOptional

The name of the site.

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

SecondaryConnectorID stringOptional

Magic Connector identifier tag. Used when high availability mode is on.

<a href="#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)%20%3E%20(property)%20secondary_connector_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20magic_transit.sites%20%3E%20(model)%20site%20%3E%20(schema)>)

### List Sites

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/magic_transit"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.MagicTransit.Sites.List(context.TODO(), magic_transit.SiteListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "connector_id": "ac60d3d0435248289d446cedd870bcf4",
      "description": "description",
      "ha_mode": true,
      "location": {
        "lat": "37.6192",
        "lon": "122.3816"
      },
      "name": "site_1",
      "secondary_connector_id": "8d67040d3835dbcf46ce29da440dc482"
    }
  ],
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "connector_id": "ac60d3d0435248289d446cedd870bcf4",
      "description": "description",
      "ha_mode": true,
      "location": {
        "lat": "37.6192",
        "lon": "122.3816"
      },
      "name": "site_1",
      "secondary_connector_id": "8d67040d3835dbcf46ce29da440dc482"
    }
  ],
  "success": true
}
```